<nav class="navbar navbar-expand-lg navbar-dark  navbar">
    <div class="container-fluid">
        <!--- <img src="../../../assets/imagenes/logobar.PNG"  width="280" height="60"/>  -->
        <br>
        <a *ngIf="dato==1 ||   dato ==2 || dato ==3 " class="navbar-brand" href="ListaCatalogoUsuario">ServiDesk</a>
        <a *ngIf="dato !=1 && dato !=2 && dato !=3 " class="navbar-brand" href=#>ServiDesk</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                
                <li *ngIf="dato==1" class="nav-item"> <a class="nav-link" [routerLink]="['listadoTicketUsuario']">Listado Ticket </a>
                </li>

                <li *ngIf="dato==2" class="nav-item"> <a class="nav-link" [routerLink]="['listatickettecnico']">Listado Ticket </a>
                </li>
                <li *ngIf="dato==3" class="nav-item"> <a class="nav-link" [routerLink]="['ListaTicketCordinador']">Listado Ticket </a>
                </li>

                <li *ngIf="  dato ==3 " class="nav-item"> <a class="nav-link" [routerLink]="['catalogo']">Catalogos</a>
                </li>
                <li *ngIf="  dato ==3 " class="nav-item"> <a class="nav-link" [routerLink]="['servicio']">Servicios</a> </li>

                <li *ngIf=" dato ==2 ||   dato ==1 " class="nav-item"> <a class="nav-link" [routerLink]="['listacatalogos']">Lista Catalogo</a>
                </li>
                <li *ngIf="  dato ==2 || dato ==1 " class="nav-item"> <a class="nav-link" [routerLink]="['listaservicios']">Lista Servicio</a> </li>
               
                <li  *ngIf="dato==3" class="nav-item"> <a class="nav-link" (click)="modalUsuario()">Registrar Coordinador</a> </li>
                <li *ngIf="dato==3" class="nav-item"> <a class="nav-link" (click)="modaltecnico()">Registrar tecnico</a> </li>
                <li *ngIf="dato == 3" class="nav-item"> <a class="nav-link" [routerLink]="['reportes']">Reportes</a> </li>
                <li *ngIf="dato == 3" class="nav-item"> <a class="nav-link" [routerLink]="['preguntas']">Preguntas</a> </li>

            </ul>
            <form class="d-flex">


                <div *ngIf="dato==1 ||  dato==2 || dato==3 " class="row row-cerrar-sesion">
                    <div class="col-md-2">
                        <div ngbDropdown display="dynamic" placement="bottom-right" class="d-inline-block">
                            <button class="btn btn-outline-light" id="dropdownBasic1" ngbDropdownToggle><svg
                                    xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="currentColor"
                                    class="bi bi-person" viewBox="0 0 25 25">
                                    <path
                                        d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z" />
                                </svg> {{nombre | uppercase}}</button>
                            <div ngbDropdownMenu aria-labelledby="dropdownBasic1" class="dropdown-menu">
                                <a ngbDropdownItem (click)="Editarticket()">Actualizar informacion</a>
                                <a ngbDropdownItem href="#" (click)="cerrarSesion()">Cerrar sesión</a>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</nav>